Debian Bug report logs - #684891
support derivable config tree format

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: Raphaël Hertzog <hertzog@debian.org>

Date: Tue, 14 Aug 2012 13:24:02 UTC

Severity: wishlist

Merged with 703634

Found in versions live-build/3.0.1-1, live-build/3.0~a57-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#684891; Package live-build. (Tue, 14 Aug 2012 13:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphaël Hertzog <hertzog@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 14 Aug 2012 13:24:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: add a config parameter to define the project name
Date: Tue, 14 Aug 2012 15:20:09 +0200
Package: live-build
Version: 3.0~a57-1
Severity: wishlist

The isolinux/syslinux screen displays prominently the project name which
defaults ot "Debian GNU/Linux". It should be possible to change that
name without changing the live-build code. Unfortunately right now
the list of project names is hardcoded and one can only choose
between two:

        case "${LB_MODE}" in
                progress)
                        _PROJECT="Progress Linux"
[…]
                        ;;

                *)
                        _PROJECT="Debian GNU/Linux"
                        _DESCRIPTION=""
                        ;;

        esac

BTW, in general the usage of LB_MODE in the code is a bad idea. You want
a configuration file with distro/vendor-specific values. That way it's easy
to duplicate a file for your own derivative and change only what's needed.

-- Package-specific info:

-- System Information:
Debian Release: wheezy/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'proposed-updates'), (500, 'unstable'), (500, 'testing'), (500, 'stable'), (150, 'experimental')
Architecture: i386 (x86_64)
Foreign Architectures: amd64

Kernel: Linux 3.4-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap  0.5.9
ii  debootstrap   1.0.42

Versions of packages live-build recommends:
ii  cpio                            2.11-8
ii  gnu-fdisk                       1.2.4-3.1
ii  live-boot-doc                   3.0~a38-1
ii  live-config-doc                 3.0.1-1
ii  live-manual-html [live-manual]  1:3.0~a15-1

Versions of packages live-build suggests:
ii  dosfstools                  3.0.13-1
ii  fakeroot                    1.18.4-2
ii  genisoimage                 9:1.1.11-2
ii  git                         1:1.7.10.4-1
ii  grub                        0.97-66
ii  memtest86+                  4.20-1.1
ii  mtools                      4.0.17-1
ii  parted                      2.3-10
pn  squashfs-tools | mtd-tools  <none>
ii  sudo                        1.8.5p2-1
ii  syslinux                    2:4.05+dfsg-6
ii  uuid-runtime                2.20.1-5.1
pn  win32-loader                <none>

-- no debconf information



Changed Bug title to 'add a config parameter to define the project name' from 'live-build: add a config parameter to define the project name' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Tue, 14 Aug 2012 13:30:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#684891; Package live-build. (Tue, 14 Aug 2012 14:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 14 Aug 2012 14:21:07 GMT) Full text and rfc822 format available.

Message #12 received at 684891@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: 684891@bugs.debian.org
Subject: Re: Bug#684891: live-build: add a config parameter to define the project name
Date: Tue, 14 Aug 2012 16:18:14 +0200
Another way to deal with this issue would be to extract the relevant
information from /etc/os-release in the chroot. It exports $NAME
and $PRETTY_NAME (and $VERSION for released versions of products).

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Get the Debian Administrator's Handbook:
→ http://debian-handbook.info/get/



Changed Bug title to 'support having a global project name definition' from 'add a config parameter to define the project name' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Mon, 27 Aug 2012 10:54:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'support derivable config tree format' from 'support having a global project name definition' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 19 Jun 2013 05:27:05 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'wishlist' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 19 Jun 2013 05:27:06 GMT) Full text and rfc822 format available.

Marked as found in versions live-build/3.0.1-1. Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 19 Jun 2013 05:27:06 GMT) Full text and rfc822 format available.

Merged 684891 703634 Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 19 Jun 2013 05:27:08 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Daniel Baumann <daniel.baumann@progress-technologies.net> to control@bugs.debian.org. (Wed, 19 Jun 2013 05:27:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 09:49:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.